gRPC C#
gRPC C#
Namespaces
Grpc.Core
Method(TRequest, TResponse) Class
Method(TRequest, TResponse) Constructor
Method(TRequest, TResponse) Properties
Method(TRequest, TResponse) Methods

Method TRequest, TResponse Class

A description of a remote method.
Inheritance Hierarchy
System
Object
Grpc.Core
Method
TRequest, TResponse

Namespace: Grpc.Core
Assembly: Grpc.Core (in Grpc.Core.dll) Version: 0.7.0.0
Syntax
C#
VB
C++
F#
Copy

    public class Method<TRequest, TResponse> : IMethod

    Public Class Method(Of TRequest, TResponse)
    	Implements IMethod

    generic<typename TRequest, typename TResponse>
    public ref class Method : IMethod

    type Method<'TRequest, 'TResponse> =
        class
            interface IMethod
        end

#### Type Parameters

TRequest
  Request message type for this method.
TResponse
  Response message type for this method.

The Method
TRequest, TResponse
type exposes the following members.

Constructors

| Name | Description
--- | --- | ---
| Method TRequest, TResponse | Initializes a new instance of the Method class.

Top
Properties

| Name | Description
--- | --- | ---
| FullName | Gets the fully qualified name of the method. On the server side, methods are dispatched based on this name.
| Name | Gets the unqualified name of the method.
| RequestMarshaller | Gets the marshaller used for request messages.
| ResponseMarshaller | Gets the marshaller used for response messages.
| ServiceName | Gets the name of the service to which this method belongs.
| Type | Gets the type of the method.

Top
Methods

| Name | Description
--- | --- | ---
| Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
| Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
| GetHashCode | Serves as the default hash function. (Inherited from Object.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
| ToString | Returns a string that represents the current object. (Inherited from Object.)

Top
See Also

#### Reference

Grpc.Core Namespace